Get Feature Info By Id And Version
Returns the feature download info for the feature type and feature version if exists else response with 404 response code will returned. To get the latest version, pass LATEST for feature_version query parameter for the feature type.
If SSP is in disconnected mode (see field CLOUD_CONNECTIVITY_MODE in SecurityContentConfig) then the response depends on configurations - automatic update and feature version mapping. When automatic update configuration takes precedence over feature version mapping and returns latest feature version. Latest version will be returned when both automatic update and feature version mapping is not set. When automatic update is disabled and feature version mapping is set, then the download info for the mapped version will be returned.
Latest version is determined based on the feature_updated_at timestamp. When VTIS provides an update timestamp for the feature, that is used as the authoritative sort key. When VTIS does not provide an update timestamp, the SSP processing time (when the feature was ingested) is used as a fallback. The feature version with the most recent feature_updated_at is returned as LATEST.
Feature type identifier.
Feature version string. Pass LATEST to retrieve the feature version with the most recent source update timestamp (feature_updated_at from VTIS).
Successful response
{
"version": "1.0",
"contents": [
{
"name": "IDSP_Signatures_1432.zip",
"sha256_checksum": "3a8456acb858eb7d883caa832a38316dc0f8230e2707ae283d5865e07b1b9277",
"download_url": "https://cdn.example.com/bundle.zip?X-key=value",
"_last_modified_time": 1751360294000
}
]
}
Feature version
Timestamp (epoch milliseconds) indicating when this feature version was last updated. Reflects the VTIS source update time when available; falls back to the SSP processing time (when the feature was ingested from the megabundle) when VTIS does not supply an update timestamp. This is the authoritative timestamp used to determine LATEST when feature_version=LATEST is requested.
Contents inside the feature
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Feature not found for the specified type and version
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -H 'Authorization: <value>' https://{api_host}/ssp/security-content/feature-download-info?feature_type=value&feature_version=v